PUT
/
api
/
v1
/
admin
/
simulation
/
knowledge
/
{doc_id}
Update Org Knowledge
curl --request PUT \
  --url https://api.jobsim.work/api/v1/admin/simulation/knowledge/{doc_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "organization_id": "<string>",
  "title": "<string>",
  "content": "<string>",
  "_id": "<string>",
  "source_type": "editor",
  "file_name": "<string>",
  "mime_type": "<string>",
  "size_bytes": 123,
  "tags": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

doc_id
string
required

Query Parameters

organization_id
string | null

Body

application/json

The body is of type Updates · object.

Response

Successful Response

Organization-level knowledge document used for RAG.

organization_id
string
required
title
string
required
content
string
required
_id
string | null
source_type
string
default:editor
file_name
string | null
mime_type
string | null
size_bytes
integer | null
tags
string[]
created_at
string<date-time>
updated_at
string<date-time>